#' matlib: Matrix Functions for Teaching and Learning Linear Algebra and Multivariate Statistics.
#'
#'
#' These functions are mainly for tutorial purposes in learning matrix algebra
#' ideas using R. In some cases, functions are provided for concepts available
#' elsewhere in R, but where the function call or name is not obvious.  In other
#' cases, functions are provided to show or demonstrate an algorithm. In addition,
#' a collection of functions are provided for drawing vector diagrams in 2D and 3D.
#'
#' These are not meant for production uses. Other methods are more efficient for larger problems.
#'
#' @section Topics:
#' The functions in this package are grouped under the following topics
#' \itemize{
#'   \item Convenience functions
#'   \item Determinants: functions for calculating determinants by cofactor expansion
#'   \item Elementary row operations: functions for solving linear equations "manually" by the steps used in row echelon form and Gaussian elimination
#'   \item Linear equations: functions to illustrate linear equations of the form $A x = b$
#'   \item Gaussian elimination: functions for illustrating Gaussian elimination for solving systems of linear equations of the form $A x = b$.
#'   \item Eigenvalues: functions to illustrate the algorithms for calculating eigenvalues and eigenvectors
#'   \item Vector diagrams: functions for drawing vector diagrams in 2D and 3D
#' }
#'
#' @docType package
#' @name matlib
#' @aliases matlib-package
#' @exportPattern "^[[:alpha:]]+"

NULL











